%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define _udevrulesdir /lib/udev/rules.d


Name:           hackrf
Version:        2015.07.2
Release:        %mkrel 1
Summary:        A project to produce a low cost open source software radio platform
Group:          Communications
License:        GPLv2
URL:            https://github.com/mossmann/%{name}/wiki
Source0:        https://github.com/mossmann/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:   %{_lib}usb-compat0.1-devel

%description
Hardware designs and software for HackRF, a project to produce a low cost, open
source software radio platform.

%package -n %{libname}
Summary:        Library files for %{name}
Group:		System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
hackrf library files.


%package -n %{devname}
Summary:        Development files for %{name}
Group:		Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Files needed to develop software against libhackrf.


%package doc
Requires:       %{name} = %{version}-%{release}
Group:		Documentation
Summary:        Supplemental documentation for HackRF
BuildArch:      noarch

%description doc
Supplemental documentation for HackRF. For more information, visit the wiki at
https://github.com/mossmann/hackrf/wiki

%prep
%setup -q -n %{name}-%{version}

# Fix "plugdev" nonsense
sed -i -e 's/GROUP="plugdev"/ENV{ID_SOFTWARE_RADIO}="1"/g' host/libhackrf/53-hackrf.rules

%build
%cmake ../host \
    -DINSTALL_UDEV_RULES=on
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
# Fix udev rules path as UDEV_INSTALL_DIR is ignored by cmake
mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/53-hackrf.rules %{buildroot}%{_udevrulesdir}/

rm -f %{buildroot}%{_libdir}/libhackrf.a

%files
%doc TRADEMARK Readme.md
%{_bindir}/hackrf_*
%{_udevrulesdir}/53-hackrf.rules

%files -n %{libname}
%{_libdir}/libhackrf.so.%{major}*

%files -n %{devname}
%{_includedir}/libhackrf/hackrf.h
%{_libdir}/pkgconfig/libhackrf.pc
%{_libdir}/libhackrf.so

%files doc
%doc doc/*


%changelog
* Mon Oct 03 2016 adrianomorselli <adrianoorselli> 2015.07.2-1uplos2016
- rebuild

* Sun Jan 10 2016 bb <bb> 2015.07.2-1pclos2016
- import from france
